=== debian/changelog ===
ros-indigo-ethercat-manager (1.0.9-0trusty) trusty; urgency=high

  * enable to publish actual position/velocity/torque value as /diagnostics (#67 <https://github.com/tork-a/minas/issues/67>)
  * add EtherCatManager::getStatus
  * Contributors: Tokyo Opensource Robotics Developer 534

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Thu, 01 Mar 2018 15:00:00 -0000

ros-indigo-ethercat-manager (1.0.8-0trusty) trusty; urgency=high

  * fixed IF_MINAS (#60 <https://github.com/tork-a/minas/issues/60>)
    * an operator "&" seems to be missed.
  * Contributors: Cong Liu

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Mon, 27 Nov 2017 15:00:00 -0000

ros-indigo-ethercat-manager (1.0.6-0trusty) trusty; urgency=high



 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Mon, 11 Sep 2017 15:00:00 -0000

ros-indigo-ethercat-manager (1.0.5-0trusty) trusty; urgency=high



 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Mon, 11 Sep 2017 15:00:00 -0000

ros-indigo-ethercat-manager (1.0.4-0trusty) trusty; urgency=high

  * set license as GPLv2/CC-BY-SA,add LICENSE for meshes (#55 <https://github.com/tork-a/minas/issues/55>)
    * set license as GPLv2/CC-BY-SA,add LICENSE for meshes
    * cleanup code
    * fix wrong license data, add LICENSE information to xacro files
    * cleanup package.xml
  * Contributors: Ryosuke Tajima, Tokyo Opensource Robotics Developer 534

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Sun, 10 Sep 2017 15:00:00 -0000

ros-indigo-ethercat-manager (1.0.3-0trusty) trusty; urgency=high



 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Thu, 03 Aug 2017 15:00:00 -0000

ros-indigo-ethercat-manager (1.0.2-0trusty) trusty; urgency=high



 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Thu, 11 May 2017 15:00:00 -0000

ros-indigo-ethercat-manager (1.0.1-0trusty) trusty; urgency=high



 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Thu, 11 May 2017 15:00:00 -0000

ros-indigo-ethercat-manager (1.0.0-0trusty) trusty; urgency=high

  * add test codes (`#39 <https://github.com/tork-a/minas/pull/39`_)
  * check if slaves are MINAS or not (`#38 <https://github.com/tork-a/minas/pull/38`_)
    * getNumClients() returns only MINAS drivers
  * Contributors: Tokyo Opensource Robotics Developer 534

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Fri, 21 Apr 2017 15:00:00 -0000

ros-indigo-ethercat-manager (0.5.2-0trusty) trusty; urgency=high



 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Fri, 31 Mar 2017 15:00:00 -0000

ros-indigo-ethercat-manager (0.5.1-0trusty) trusty; urgency=high



 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Sat, 25 Mar 2017 15:00:00 -0000

ros-indigo-ethercat-manager (0.5.0-0trusty) trusty; urgency=high



 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Sun, 05 Mar 2017 15:00:00 -0000

ros-indigo-ethercat-manager (0.4.0-0trusty) trusty; urgency=high



 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Sun, 05 Mar 2017 15:00:00 -0000

ros-indigo-ethercat-manager (0.3.0-0trusty) trusty; urgency=high

  * change docbuild/debbuild to docbuild_${PROJECT_NAME}/debbuild_${PROJECT_NAME}
  * use clock_nanosleep for cycleWorkder
  * Contributors: Tokyo Opensource Robotics Developer 534

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Sun, 05 Mar 2017 15:00:00 -0000

ros-indigo-ethercat-manager (0.2.1-0trusty) trusty; urgency=high



 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Fri, 03 Feb 2017 15:00:00 -0000

ros-indigo-ethercat-manager (0.2.0-0trusty) trusty; urgency=high

  * return number of ether cat clients
  * ec_SDOread fails only when ret is minus
  * use hex to display Failed to read from
  * add position offsset (60b0) to PDO mappoing 4
  * read current SDO syncmode, cycle time
  * add writeSDO(char, unsigned char)
  * add readSDO
  * Contributors: Tokyo Opensource Robotics Developer 534

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Fri, 03 Feb 2017 15:00:00 -0000

ros-indigo-ethercat-manager (0.1.2-0trusty) trusty; urgency=high

  * ethercat_manager use pre allcoated iomap_ to avoid segfault soem/test/ also uses this strategy
  * Contributors: Tokyo Opensource Robotics Developer 534

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Sun, 15 Jan 2017 15:00:00 -0000

ros-indigo-ethercat-manager (0.1.1-0trusty) trusty; urgency=high



 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Sat, 14 Jan 2017 15:00:00 -0000

ros-indigo-ethercat-manager (0.1.0-0trusty) trusty; urgency=high

  * CMakeLists.txt : add debbuild target
  * CMakeLists.txt : add install include directory
  * add writeSDO method
  * readInput/readOutput: add boundary check
  * initSoem : set to PDO Default maping 4
  * ~EtherCatManager()
    
    move to INIT mode in destructor
  * add CMakeLists.txt package.xml include/ethercat_manager/ethercat_manager.h src/ethercat_manager.cpp
  * Contributors: Tokyo Opensource Robotics Developer 534

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Fri, 13 Jan 2017 15:00:00 -0000
