=== debian/control ===
Source: ros-indigo-ethercat-manager
Section: misc
Priority: extra
Maintainer: Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-roscpp, ros-indigo-roslaunch, ros-indigo-rostest, ros-indigo-soem
Homepage: http://ros.org/wiki/ethercat_manager
Standards-Version: 3.9.2

Package: ros-indigo-ethercat-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-roscpp, ros-indigo-soem
Description: ROS-Industrial support stack for facilitating communication with EtherCAT networks.
 The code is mainly copied from https://github.com/ros-industrial/robotiq/blob/jade-devel/robotiq_ethercat/src/ethercat_manager.cpp
